// $Id: CaptureDeviceNotFoundException.java,v 1.2 2008/08/18 05:34:36 esmondpitt Exp $

/***************************************************************************
 * Copyright (C) 2001, Patrick Charles and Jonas Lehmann                   *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.capture;


/**
 * This exception occurs when no capture devices are detected.
 *
 * @author Patrick Charles and Jonas Lehmann
 * @version $Revision: 1.2 $
 * @lastModifiedBy $Author: esmondpitt $
 * @lastModifiedAt $Date: 2008/08/18 05:34:36 $
 */
public class CaptureDeviceNotFoundException extends JpcapException
{
  /**
   * Create a new instance of CaptureDeviceNotFoundException.
   * @param message Exception message text.
   */
  public CaptureDeviceNotFoundException(String message) { 
    super(message);
  }
  /**
   * Create a new instance of CaptureDeviceNotFoundException.
   * @param detail Exception detail.
   */
  public CaptureDeviceNotFoundException(Throwable detail) { 
    super(detail);
  }


  private static final String _rcsId = 
    "$Id: CaptureDeviceNotFoundException.java,v 1.2 2008/08/18 05:34:36 esmondpitt Exp $";
}
